View Issue Details

IDProjectCategoryView StatusLast Update
0032965LazarusLCLpublic2018-01-15 06:29
ReporterKinlion YanAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindows X64OSWindowsOS VersionWindows
Product VersionProduct Build54278 
Target Version1.8.2Fixed in Version1.8.2 
Summary0032965: function IsEmptyRow in Grids.pas uses a wrong variable
Descriptionat line 6881, in function IsEmptyRow.

" if GetCells(i, FRow)<>'' then begin "

I think here should be ARow instead of FRow.
TagsNo tags attached.
Fixed in Revisionr57005
LazTarget1.8.2
Widgetset
Attached Files

Activities

Kinlion Yan

2018-01-07 07:51

reporter  

grids.pas (376,034 bytes)

jamie philbrook

2018-01-07 15:11

reporter   ~0105436

yes in lines 7485 and 7141 with my 1.8.0 release

From what I see the nested functions are accessing the same value as what
was being past to it within the code. so at the moment It mostly isn't causing
and issue but, if the Property "ROW" ever gets changed to a getter and modifications then things may not work so well in the future.
  
  Why this was done is beyond me, its like a time bomb...

Bart Broersma

2018-01-07 17:37

developer   ~0105446

Hmm, there are 2 copies of this local function, not sure why.
Maybe it should be a method of TCustomGrid?

Bart Broersma

2018-01-07 17:58

developer   ~0105451

Please test and close if OK.

Kinlion Yan

2018-01-09 03:39

reporter   ~0105503

Thanks Bart.

I think it would be better if the function is public, but it's another title.

It's my first bug-report, and I don't know how to test.

Bart Broersma

2018-01-10 17:38

developer   ~0105630

@Kinlion
You can test with latest trunk, or if you have 1.8, you can apply the patch (https://svn.freepascal.org/cgi-bin/viewvc.cgi/trunk/lcl/grids.pas?r1=57005&r2=57004&pathrev=57005&root=lazarus&view=patch) to your 1.8 version.

If you need further help with this, please ask on ML or forum, we'll be happy to assist.

Kinlion Yan

2018-01-13 08:57

reporter   ~0105728

@Bart,

I have cloned the latest trunk using git.
The issue has been solved.
Thanks again.

Kinlion Yan

2018-01-13 09:08

reporter   ~0105729

Last edited: 2018-01-13 09:15

View 2 revisions

Where is the 'Close' button?
I'm sure I have seen it before, but I can't find it now.

Bart Broersma

2018-01-13 17:47

developer   ~0105745

Thanks for testing.

The Close button should be there now (the issue must have status "resolved", otherwise this button is not there).

Please close.

Kinlion Yan

2018-01-15 06:28

reporter   ~0105826

Yes, I can close it now :)

Kinlion Yan

2018-01-15 06:29

reporter   ~0105827

The issue has been solved. Thanks to Bart Broersma.

Issue History

Date Modified Username Field Change
2018-01-07 07:51 Kinlion Yan New Issue
2018-01-07 07:51 Kinlion Yan File Added: grids.pas
2018-01-07 10:56 Michael Van Canneyt Project FPC => Lazarus
2018-01-07 15:11 jamie philbrook Note Added: 0105436
2018-01-07 17:37 Bart Broersma Note Added: 0105446
2018-01-07 17:58 Bart Broersma Fixed in Revision => r57005
2018-01-07 17:58 Bart Broersma LazTarget => 1.8.2
2018-01-07 17:58 Bart Broersma Note Added: 0105451
2018-01-07 17:58 Bart Broersma Status new => resolved
2018-01-07 17:58 Bart Broersma Fixed in Version => 1.8.2
2018-01-07 17:58 Bart Broersma Resolution open => fixed
2018-01-07 17:58 Bart Broersma Assigned To => Bart Broersma
2018-01-07 17:58 Bart Broersma Target Version => 1.8.2
2018-01-09 03:39 Kinlion Yan Note Added: 0105503
2018-01-10 17:38 Bart Broersma Note Added: 0105630
2018-01-10 17:38 Bart Broersma Status resolved => feedback
2018-01-13 08:57 Kinlion Yan Note Added: 0105728
2018-01-13 08:57 Kinlion Yan Status feedback => assigned
2018-01-13 09:08 Kinlion Yan Note Added: 0105729
2018-01-13 09:15 Kinlion Yan Note Edited: 0105729 View Revisions
2018-01-13 17:47 Bart Broersma Note Added: 0105745
2018-01-13 17:47 Bart Broersma Status assigned => resolved
2018-01-15 06:28 Kinlion Yan Note Added: 0105826
2018-01-15 06:29 Kinlion Yan Note Added: 0105827
2018-01-15 06:29 Kinlion Yan Status resolved => closed